* {
  margin: 0;
  padding:0;
  box-sizing: border-box;
}

body {
  background-image: url('/img/api.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  color: #fff;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  position: relative;
  max-height: 100vh;
  z-index: 0;
  overflow-x: hidden;
}

/* Gradiente escurecedor subindo de baixo */
body::before {
  content: "";
  position: fixed;
  inset: 0;
  z-index: -1;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.9) 0%, transparent 100%);
  pointer-events: none;
}

.container {
  max-width: 1000px;
  margin: 8rem 0 2rem 0;
  text-align: center;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  margin-bottom: 2rem;
  box-shadow: 0 0 10px #363636;
  padding: 1rem;
  backdrop-filter: blur(20px);
  text-align: center;
}

h1 {
  font-size: 2.5rem;
  color: #F2F2F2;
}

header p {
  font-size: 1.1rem;
  color: #aaa;
}

.highlight-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  text-align: center;
  padding: 2rem;
}

.highlight-section .text-content {
  max-width: 1000px;
}

.highlight-section h1 {
  color: #fffafa;
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
  font-family: 'Arial', sans-serif;
  font-size: 2.2rem;
  margin-bottom: 1rem;
  font-weight: bold;
}

.highlight-section h1 span {
  color: #4b8fe7;
  background-color: #ffee006e;
  padding: 0.2rem 0.5rem;
  border-radius: 8px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
  font-family: Georgia, 'Times New Roman', Times, seri;
}

.highlight-section p {
  font-size: 1.2rem;
  color: #ffffff;
  line-height: 1.5;
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.4);
  font-weight: 400;
  font-family: Arial, Helvetica, sans-serif;
  background: rgba(0, 0, 0, 0.2);
  padding: 1rem;
  border-radius: 1rem;
}

button {
  display: inline-flex;
  gap: .5rem;
  text-align: center;
  cursor: pointer;
  text-align: center;
}
.rotas-button {
  background: #0a89ffbd;
  padding: 1rem 1.5rem;
  border-radius: 1rem;
  margin: 1rem;
  color: #fff;
  font-weight: bold;
  font-size: 1.2rem;
  border: 1px solid #0a89ffbd;
}
.rotas-button:hover {
  background: transparent;
  border: 1px solid #fff;
  transform: scale(1.05);
  transition: transform .3s ease-in-out;
}

.comentarios-button {
  border: 1px solid #fff;
  padding: 1rem 1.5rem;
  border-radius: 1rem;
  margin: 1rem;
  color: #ffffff;
  background: transparent;
  font-size: 1.2rem;
  font-weight: bold;
  cursor: not-allowed;
  opacity: .3;
}
.comentarios-button:hover {
  background: #ffffff2c;
  border: 1px solid #ffffff2c;
  transform: scale(1.05);
  transition: transform .3s ease;
}

@media (min-width: 768px) {

  .container {
    margin-top: 10%;
  }

  .highlight-section {
    flex-direction: row;
    justify-content: left;
    text-align: center;
  }

  .text-content p{
    max-width: 80%;
    margin: 0 auto;
    font-size: 1.7rem;
    line-height: 1.5;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
    font-weight: 400;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  }

  .highlight-section h1 {
    font-size: 4rem;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-weight: bold;
}

  .highlight-section h1 span {
    font-size: 3rem;
    padding: 0.5rem 1rem;
  }
}